package com.tmerclub.cloud.supplier.vo.mongo;

import io.swagger.v3.oas.annotations.media.Schema;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serial;
import java.io.Serializable;

/**
 * mongo返回的字段
 * @author 菠萝凤梨
 */
@Document("supplier_wallet_log")
public class MongoSupplierWalletLogVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "供应商id")
    private Long supplierId;

    @Schema(description = "供应商日志数")
    private Long supplierLogCount;

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public Long getSupplierLogCount() {
        return supplierLogCount;
    }

    public void setSupplierLogCount(Long supplierLogCount) {
        this.supplierLogCount = supplierLogCount;
    }

    @Override
    public String toString() {
        return "MongoShopWalletLogVO{" +
                "shopId=" + supplierId +
                ", shopLogCount=" + supplierLogCount +
                '}';
    }
}
